#!/bin/bash

CMDPATH="/usr/local/bin"

GRAB="quux.fimg"
COS01="cos01.fimg"
COS010="cos010.fimg"
SQRT="sqrt.fimg"
POW2="pow2.fimg"

# --------- conversion fimg -> pnm
f2p ()
{
dst=$(basename $1 .fimg).pnm
echo == converting $1 to $dst
${CMDPATH}/fimg2pnm  $1 $dst
}

# --------- capturer une image
${CMDPATH}/grabvidseq -v -u -n 2400 -p 0.04 -o ${GRAB}
echo ERRCODE $?
f2p ${GRAB} 

# ----------- traitements
${CMDPATH}/fimgfx pow2 $GRAB $POW2
f2p $POW2

${CMDPATH}/fimgfx sqrt $GRAB $SQRT
f2p $SQRT

${CMDPATH}/fimgfx cos01 $GRAB $COS01
f2p $COS01

${CMDPATH}/fimgfx cos010 $GRAB $COS010
f2p $COS010

echo == Making gif89a
convert -delay 40 *.pnm foo.gif
